## pgdg-buildenv 33~59.git740ca47.pgdg16.04+1

=== jenkins/Makefile ===
JOBS = pgapt-jobs.yaml
JJB = jenkins-jobs

all: test lists

# we write to output.tmp first so output.{old,new} are left untouched in case
# JJB aborts
test:
	@echo "*** Testing $(JOBS) ***"
	rm -rf output.tmp
	mkdir output.tmp
	$(JJB) test --config-xml -o output.tmp $(JOBS)
	if test -d output.new; then rm -rf output.old; mv output.new output.old; fi
	mv output.tmp output.new
	test -d output.old && diff -urp output.old output.new || true

update:
	@echo "*** Updating Jenkins from $(JOBS) ***"
	$(JJB) update $(JOBS)

update-pgdgbuild:
	@echo "*** Updating Jenkins from $(JOBS) ***"
	$(JJB) --conf jenkins_jobs.ini update $(JOBS)

# package lists
lists: packages packages.modules packages.backports packages.backports_runtime
packages: pgapt-jobs.yaml
	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{name} }' | grep -v '^upgrade-' | LC_ALL=C sort > $@
packages.modules: pgapt-jobs.yaml # packages that build PG modules for "beta"
	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{name} and $$p->{project}->{jobs}->[0] eq "git-packages-with-beta" }' | LC_ALL=C sort > $@
packages.%: pgapt-jobs.yaml
	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{$*} or $$p->{project}->{"<<"}->{$*} }' | LC_ALL=C sort > $@

clean:
	rm -rf output output.old packages.backports*

# install scripts
SCRIPTS = adt-sbuild adtsummary2junit approx-reset.sh builddebcheck-pgapt debcheck-pgapt dput-pgdg generate-pgdg-source newpid-netns pgdg-autopkgtest postgresql-testsuite sbuild-package sbuild-update.sh
INST_SCRIPTS = $(patsubst %, /usr/local/bin/%, $(SCRIPTS))

install: $(INST_SCRIPTS)

/usr/local/bin/%: %
	install $< $@

## pgdg-buildenv 6.pgdg50+1

=== debian/changelog ===
pgdg-buildenv (6.pgdg50+1) lenny-pgdg; urgency=low

  * Rebuild for lenny-pgdg (jenkins-pgdg-buildenv-source-
    distribution=lenny-10, git revision
    595c282ad772eb0f5b8655b5154023fddf758ad1)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Sun, 21 Oct 2012 14:28:03 +0200

pgdg-buildenv (6) sid-pgdg; urgency=low

  * Add eatmydata.
  * Depends: debhelper (>= 8~).

 -- Christoph Berg <myon@debian.org>  Fri, 07 Sep 2012 15:19:15 +0200

pgdg-buildenv (5) sid-pgdg; urgency=low

  * Depend on dependencies of postgresql-server-dev-all instead of the package
    itself. (We should not pull in any libpq or pg_config by default.)
  * Add locales needed by the postgresql-testsuite.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Sep 2012 10:50:14 +0200

pgdg-buildenv (4) sid-pgdg; urgency=low

  * Use the correct syntax: Acquire::Languages "none";

 -- Christoph Berg <myon@debian.org>  Tue, 04 Sep 2012 21:46:53 +0200

pgdg-buildenv (3) sid-pgdg; urgency=low

  * Add Depends: debhelper postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Sep 2012 19:42:49 +0200

pgdg-buildenv (2) sid-pgdg; urgency=low

  * Skip downloading apt translations. Suggested by Mika Prokop.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Sep 2012 19:28:50 +0200

pgdg-buildenv (1) sid-pgdg; urgency=low

  * Divert /usr/bin/mandb.

 -- Christoph Berg <myon@debian.org>  Sun, 26 Aug 2012 19:49:11 +0200

=== debian/control ===
Source: pgdg-buildenv
Section: misc
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8~)
Vcs-Browser: https://github.com/ChristophBerg/pgdg-buildenv
Vcs-Git: git://github.com/ChristophBerg/pgdg-buildenv.git

Package: pgdg-buildenv
Architecture: all
Depends: debhelper (>= 8~),
 fakeroot,
 eatmydata,
# dependencies of postgresql-server-dev-all:
 postgresql-common (>= 117~), lsb-release, dctrl-tools,
# testsuite:
 hunspell-en-us, locales, net-tools
Description: metapackage to install in pgdg cowbuilder chroots
 metapackage to install in pgdg cowbuilder chroots

## pgdg-buildenv 11.pgdg10.4+1

=== debian/changelog ===
pgdg-buildenv (11.pgdg10.4+1) lucid-pgdg; urgency=low

  * Rebuild for lucid-pgdg (jenkins-pgdg-buildenv-source-
    distribution=lucid-14, git revision
    209765b9016cffb370bc7e2b72f965428e13e4b7)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Sat, 01 Feb 2014 23:50:39 +0100

pgdg-buildenv (11) sid-pgdg; urgency=medium

  * Add logrotate.

 -- Christoph Berg <myon@debian.org>  Sat, 01 Feb 2014 23:45:52 +0100

pgdg-buildenv (10) sid-pgdg; urgency=medium

  * Add newpid.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 09 Jan 2014 11:28:17 +0100

pgdg-buildenv (9) sid-pgdg; urgency=medium

  * Update sources.list and apt preferences.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Dec 2013 18:03:14 +0200

pgdg-buildenv (8) sid-pgdg; urgency=medium

  * Add autopkgtest.
  * Install /etc/postgresql-common/createcluster.conf.
  * Install /etc/apt/apt.conf.d/20norecommends.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Dec 2013 16:51:07 +0200

pgdg-buildenv (7) sid-pgdg; urgency=low

  * Add netcat-openbsd.

 -- Christoph Berg <myon@debian.org>  Sun, 16 Dec 2012 15:48:54 +0100

## pgdg-buildenv 11.pgdg12.4+1

=== debian/changelog ===
pgdg-buildenv (11.pgdg12.4+1) precise-pgdg; urgency=low

  * Rebuild for precise-pgdg (jenkins-pgdg-buildenv-source-
    distribution=precise-14, git revision
    209765b9016cffb370bc7e2b72f965428e13e4b7)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Sat, 01 Feb 2014 23:50:44 +0100

=== debian/control ===
Source: pgdg-buildenv
Section: misc
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9~)
Vcs-Browser: https://github.com/ChristophBerg/pgdg-buildenv
Vcs-Git: git://github.com/ChristophBerg/pgdg-buildenv.git
Homepage: http://apt.postgresql.org/

Package: pgdg-buildenv
Architecture: all
Depends: ${misc:Depends},
 debhelper (>= 8~),
 fakeroot,
 eatmydata,
# dependencies of postgresql-server-dev-all:
 postgresql-common (>= 117~), lsb-release, dctrl-tools,
# testsuite:
 hunspell-en-us, locales, logrotate, net-tools, netcat-openbsd,
# autopkgtest
 autopkgtest, newpid
Description: metapackage to install in pgdg cowbuilder chroots
 metapackage to install in pgdg cowbuilder chroots for apt.postgresql.org.

## pgdg-buildenv 11.pgdg14.04+1

=== debian/changelog ===
pgdg-buildenv (11.pgdg14.04+1) trusty-pgdg; urgency=low

  * Rebuild for trusty-pgdg (jenkins-pgdg-buildenv-source-
    distribution=trusty-14, git revision
    209765b9016cffb370bc7e2b72f965428e13e4b7)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Sat, 01 Feb 2014 23:50:35 +0100

## pgdg-buildenv 11.pgdg60+1

=== debian/changelog ===
pgdg-buildenv (11.pgdg60+1) squeeze-pgdg; urgency=low

  * Rebuild for squeeze-pgdg (jenkins-pgdg-buildenv-source-
    distribution=squeeze-14, git revision
    209765b9016cffb370bc7e2b72f965428e13e4b7)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Sat, 01 Feb 2014 23:50:48 +0100

## pgdg-buildenv 11.pgdg70+1

=== debian/changelog ===
pgdg-buildenv (11.pgdg70+1) wheezy-pgdg; urgency=low

  * Rebuild for wheezy-pgdg (jenkins-pgdg-buildenv-source-
    distribution=wheezy-14, git revision
    209765b9016cffb370bc7e2b72f965428e13e4b7)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Sat, 01 Feb 2014 23:50:52 +0100

## pgdg-buildenv 11.pgdg+1

=== debian/changelog ===
pgdg-buildenv (11.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-pgdg-buildenv-source-distribution=sid-
    14, git revision 209765b9016cffb370bc7e2b72f965428e13e4b7)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Sat, 01 Feb 2014 23:50:30 +0100

## pgdg-buildenv 14.pgdg10.4+1

=== debian/changelog ===
pgdg-buildenv (14.pgdg10.4+1) lucid-pgdg; urgency=low

  * Rebuild for lucid-pgdg (jenkins-pgdg-buildenv-source-
    distribution=lucid-21, git revision
    6145261c8f02432d6020eff4a14114937ec2e535)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 19 Feb 2014 12:29:18 +0100

pgdg-buildenv (14) sid-pgdg; urgency=medium

  * Fix postinst to exit cleanly.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 19 Feb 2014 12:28:22 +0100

pgdg-buildenv (13) sid-pgdg; urgency=medium

  * Bump dh minimum version to 9.
  * Depend on dpkg-dev (>= 1.16.1~) | hardening-wrapper (lucid needs h-w).
  * Install locales for the PostgreSQL testsuite.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 19 Feb 2014 12:14:42 +0100

pgdg-buildenv (12) sid-pgdg; urgency=medium

  * Use local approx cache on buildhost.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 17 Feb 2014 16:56:24 +0100

## pgdg-buildenv 14.pgdg12.4+1

=== debian/changelog ===
pgdg-buildenv (14.pgdg12.4+1) precise-pgdg; urgency=low

  * Rebuild for precise-pgdg (jenkins-pgdg-buildenv-source-
    distribution=precise-21, git revision
    6145261c8f02432d6020eff4a14114937ec2e535)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 19 Feb 2014 12:29:10 +0100

## pgdg-buildenv 14.pgdg13.10+1

=== debian/changelog ===
pgdg-buildenv (14.pgdg13.10+1) saucy-pgdg; urgency=low

  * Rebuild for saucy-pgdg (jenkins-pgdg-buildenv-source-
    distribution=saucy-21, git revision
    6145261c8f02432d6020eff4a14114937ec2e535)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 19 Feb 2014 12:29:30 +0100

## pgdg-buildenv 14.pgdg14.04+1

=== debian/changelog ===
pgdg-buildenv (14.pgdg14.04+1) trusty-pgdg; urgency=low

  * Rebuild for trusty-pgdg (jenkins-pgdg-buildenv-source-
    distribution=trusty-21, git revision
    6145261c8f02432d6020eff4a14114937ec2e535)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 19 Feb 2014 12:29:26 +0100

## pgdg-buildenv 14.pgdg60+1

=== debian/changelog ===
pgdg-buildenv (14.pgdg60+1) squeeze-pgdg; urgency=low

  * Rebuild for squeeze-pgdg (jenkins-pgdg-buildenv-source-
    distribution=squeeze-21, git revision
    6145261c8f02432d6020eff4a14114937ec2e535)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 19 Feb 2014 12:29:14 +0100

## pgdg-buildenv 14.pgdg70+1

=== debian/changelog ===
pgdg-buildenv (14.pgdg70+1) wheezy-pgdg; urgency=low

  * Rebuild for wheezy-pgdg (jenkins-pgdg-buildenv-source-
    distribution=wheezy-21, git revision
    6145261c8f02432d6020eff4a14114937ec2e535)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 19 Feb 2014 12:29:22 +0100

## pgdg-buildenv 14.pgdg+1

=== debian/changelog ===
pgdg-buildenv (14.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-pgdg-buildenv-source-distribution=sid-
    21, git revision 6145261c8f02432d6020eff4a14114937ec2e535)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 19 Feb 2014 12:29:06 +0100

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,13 @@
 Package: pgdg-buildenv
 Architecture: all
 Depends: ${misc:Depends},
- debhelper (>= 8~),
+ debhelper (>= 9~),
  fakeroot,
  eatmydata,
 # dependencies of postgresql-server-dev-all:
  postgresql-common (>= 117~), lsb-release, dctrl-tools,
+# postgresql
+ dpkg-dev (>= 1.16.1~) | hardening-wrapper,
 # testsuite:
  hunspell-en-us, locales, logrotate, net-tools, netcat-openbsd,
 # autopkgtest

## pgdg-buildenv 33~59.git740ca47.pgdg16.04+1

=== debian/changelog ===
pgdg-buildenv (33~59.git740ca47.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

pgdg-buildenv (33) UNRELEASED; urgency=medium

  * Do UNRELEASED builds.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Aug 2020 14:56:05 +0200

pgdg-buildenv (32) sid-pgdg; urgency=medium

  * Scrap adt-sbuild changes, didn't work.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Aug 2020 15:45:45 +0200

pgdg-buildenv (31) sid-pgdg; urgency=medium

  * adt-sbuild: Look at DEB_PACKAGE instead of PACKAGE.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Aug 2020 15:33:10 +0200

pgdg-buildenv (30) sid-pgdg; urgency=medium

  * adt-sbuild: Install plpython3 for postgresql-multicorn.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Aug 2020 14:57:46 +0200

pgdg-buildenv (29) sid-pgdg; urgency=medium

  * Move "Destroy all schroot sessions on reboot" to ansible.
  * Install gdb in chroots.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Jul 2020 14:22:43 +0200

pgdg-buildenv (28) sid-pgdg; urgency=medium

  * Destroy all schroot sessions on reboot.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 16:24:47 +0100

pgdg-buildenv (27) sid-pgdg; urgency=medium

  * Move llvm/clang dependency from pgdg-buildenv to sbuild-update.
  * Remove sudoers.d override obsolete since debhelper 8.
    Thanks to nthykier for pointing this out!

 -- Christoph Berg <myon@debian.org>  Thu, 18 Jul 2019 21:28:19 +0200

pgdg-buildenv (26) sid-pgdg; urgency=medium

  * Install lintian in chroots, sbuild installs it anyway.
  * Install clang and llvm-dev.
  * Check that pgdg-buildenv is installable.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Jul 2019 16:09:02 +0200

pgdg-buildenv (25) sid-pgdg; urgency=medium

  * Always use our postgresql-common packages.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 15 Oct 2018 16:36:15 +0200

pgdg-buildenv (24) sid-pgdg; urgency=medium

  * adt-sbuild: Set LC_ALL=C.UTF-8 in old adt-run interface.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 25 Jun 2018 10:55:19 +0200

pgdg-buildenv (23) sid-pgdg; urgency=medium

  * Install pkg-perl-autopkgtest.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 30 May 2018 15:18:03 +0200

pgdg-buildenv (22) sid-pgdg; urgency=medium

  * Install autodep8, and run autopkgtest unconditionally.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 01 Dec 2017 13:42:34 +0100

pgdg-buildenv (21) sid-pgdg; urgency=medium

  * Update adt-sbuild to support /usr/bin/autopkgtest.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 19 Sep 2017 11:22:40 +0200

pgdg-buildenv (20) sid-pgdg; urgency=medium

  * Update sbuild-pgdg-components to use sudo only when necessary.

 -- Christoph Berg <myon@debian.org>  Wed, 06 Sep 2017 18:14:57 +0200

pgdg-buildenv (19) sid-pgdg; urgency=medium

  * Add libfile-fcntllock-perl.

 -- Christoph Berg <myon@debian.org>  Sat, 27 Aug 2016 13:11:57 +0200

pgdg-buildenv (18) sid-pgdg; urgency=medium

  * Add aptitude.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 11 Jan 2016 11:17:43 +0100

pgdg-buildenv (17) sid-pgdg; urgency=medium

  * Add build-essential.
  * Don't install sources.list.d/pgdg.list from here, we can't easily figure
    out the current release name from the postinst because sid has "jessie" in
    there.
  * Add /usr/bin/adt-sbuild and sbuild-pgdg-components.
  * Add sudo and /etc/sudoers.d/sbuild.
  * Add /usr/sbin/policy-rc.d.
  * createcluster.conf: Set create_main_cluster = false.
  * Merge repository into pgapt.git.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Oct 2015 15:27:33 +0200

pgdg-buildenv (16) sid-pgdg; urgency=medium

  * Add /etc/dpkg/dpkg.cfg.d/01unsafeio.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Jan 2015 19:55:41 +0100

pgdg-buildenv (15) sid-pgdg; urgency=medium

  * Pin the pgdg repos to 500 so we don't miss newer distribution packages.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Sep 2014 17:36:16 +0200

=== debian/control ===
Source: pgdg-buildenv
Section: misc
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper (>= 9~)
Vcs-Browser: https://git.postgresql.org/gitweb/?p=pgapt.git
Vcs-Git: https://git.postgresql.org/git/pgapt.git
Homepage: https://apt.postgresql.org/

Package: pgdg-buildenv
Architecture: all
Depends: ${misc:Depends},
 aptitude,
 build-essential,
 debhelper (>= 9~),
 fakeroot,
 eatmydata,
 libfile-fcntllock-perl,
# dependencies of postgresql-server-dev-all:
 postgresql-common (>= 117~), lsb-release, dctrl-tools,
# postgresql
 dpkg-dev (>= 1.16.1~) | hardening-wrapper,
 ${clang}, ${llvm-dev},
# testsuite:
 hunspell-en-us, locales, logrotate, net-tools, netcat-openbsd,
# autopkgtest
 autodep8, pkg-perl-autopkgtest,
 autopkgtest, newpid, sudo,
 gdb,
 lintian,
Description: metapackage to install in pgdg build chroots
 metapackage to install in pgdg build chroots for apt.postgresql.org

=== debian/rules ===
#!/usr/bin/make -f

# disabled until the clang/llvm dependencies are no longer architecture-specific
#include /usr/share/dpkg/vendor.mk
#VERSION_ID = $(shell . /etc/os-release; echo $${VERSION_ID:-unstable})
#
#override_dh_gencontrol:
#	case $(DEB_VENDOR) in \
#	  Debian) \
#	    case $(VERSION_ID) in \
#	      8) dh_gencontrol ;; \
#	      9) dh_gencontrol -- -Vclang=clang-6.0 -Vllvm-dev=llvm-6.0-dev ;; \
#	      *) dh_gencontrol -- -Vclang=clang-7 -Vllvm-dev=llvm-7-dev ;; \
#	    esac ;; \
#	  Ubuntu) \
#	    case $(VERSION_ID) in \
#	      16.04|18.04) dh_gencontrol -- -Vclang=clang-6.0 -Vllvm-dev=llvm-6.0-dev ;; \
#	      *) dh_gencontrol -- -Vclang=clang-7 -Vllvm-dev=llvm-7-dev ;; \
#	    esac ;; \
#	esac

%:
	dh $@

## pgdg-buildenv 33~67.git7430eda.pgdg18.04+1

=== debian/changelog ===
pgdg-buildenv (33~67.git7430eda.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33~67.git7430eda.pgdg20.04+1

=== Makefile ===
all:
	$(MAKE) -C jenkins
	$(MAKE) -C repo

=== jenkins/Makefile ===
--- 
+++ 
@@ -38,7 +38,10 @@
 SCRIPTS = adt-sbuild adtsummary2junit approx-reset.sh builddebcheck-pgapt debcheck-pgapt dput-pgdg generate-pgdg-source newpid-netns pgdg-autopkgtest postgresql-testsuite sbuild-package sbuild-update.sh
 INST_SCRIPTS = $(patsubst %, /usr/local/bin/%, $(SCRIPTS))
 
-install: $(INST_SCRIPTS)
+install: $(INST_SCRIPTS) /etc/schroot/chroot.d/sbuild.conf
 
 /usr/local/bin/%: %
 	install $< $@
+
+/etc/schroot/chroot.d/sbuild.conf: ../pgapt.conf schroot-config.sh
+	./schroot-config.sh | sudo tee $@

=== debian/changelog ===
pgdg-buildenv (33~67.git7430eda.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,5 @@
  autodep8, pkg-perl-autopkgtest,
  autopkgtest, newpid, sudo,
  gdb,
- lintian,
 Description: metapackage to install in pgdg build chroots
  metapackage to install in pgdg build chroots for apt.postgresql.org

## pgdg-buildenv 33~67.git7430eda.pgdg22.04+1

=== debian/changelog ===
pgdg-buildenv (33~67.git7430eda.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33~67.git7430eda.pgdg90+1

=== debian/changelog ===
pgdg-buildenv (33~67.git7430eda.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33~67.git7430eda.pgdg100+1

=== debian/changelog ===
pgdg-buildenv (33~67.git7430eda.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33~67.git7430eda.pgdg110+1

=== debian/changelog ===
pgdg-buildenv (33~67.git7430eda.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33~67.git7430eda.pgdg+1

=== debian/changelog ===
pgdg-buildenv (33~67.git7430eda.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg18.04+~20220813.1045.g78a2822

=== debian/changelog ===
pgdg-buildenv (33.pgdg18.04+~20220813.1045.g78a2822) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg20.04+~20220813.1045.g78a2822

=== debian/changelog ===
pgdg-buildenv (33.pgdg20.04+~20220813.1045.g78a2822) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg20.04+~20250216.1556.gd3037f7

=== debian/changelog ===
pgdg-buildenv (33.pgdg20.04+~20250216.1556.gd3037f7) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg21.10+~20220722.1645.g44c74e7

=== debian/changelog ===
pgdg-buildenv (33.pgdg21.10+~20220722.1645.g44c74e7) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg22.04+~20220813.1045.g78a2822

=== debian/changelog ===
pgdg-buildenv (33.pgdg22.04+~20220813.1045.g78a2822) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg22.04+~20250216.1556.gd3037f7

=== debian/changelog ===
pgdg-buildenv (33.pgdg22.04+~20250216.1556.gd3037f7) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg24.04+~20250216.1556.gd3037f7

=== debian/changelog ===
pgdg-buildenv (33.pgdg24.04+~20250216.1556.gd3037f7) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg24.10+~20250216.1556.gd3037f7

=== debian/changelog ===
pgdg-buildenv (33.pgdg24.10+~20250216.1556.gd3037f7) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg25.04+~20250216.1556.gd3037f7

=== Makefile ===
all:
	$(MAKE) -C jenkins
	$(MAKE) -C repo

install:
	$(MAKE) -C jenkins install

=== debian/changelog ===
pgdg-buildenv (33.pgdg25.04+~20250216.1556.gd3037f7) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9~)
-Vcs-Browser: https://git.postgresql.org/gitweb/?p=pgapt.git
-Vcs-Git: https://git.postgresql.org/git/pgapt.git
+Standards-Version: 4.7.0
+Build-Depends: debhelper (>= 13~)
+Vcs-Browser: https://salsa.debian.org/postgresql/apt.postgresql.org
+Vcs-Git: https://salsa.debian.org/postgresql/apt.postgresql.org.git
 Homepage: https://apt.postgresql.org/
 
 Package: pgdg-buildenv
 Architecture: all
 Depends: ${misc:Depends},
  aptitude,
+ architecture-properties,
  build-essential,
- debhelper (>= 9~),
+ debhelper (>= 13~),
  fakeroot,
- eatmydata,
  libfile-fcntllock-perl,
+ ucf,
 # dependencies of postgresql-server-dev-all:
  postgresql-common (>= 117~), lsb-release, dctrl-tools,
 # postgresql

## pgdg-buildenv 33.pgdg90+~20220808.1045.g943b420

=== debian/changelog ===
pgdg-buildenv (33.pgdg90+~20220808.1045.g943b420) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg100+~20220813.1045.g78a2822

=== debian/changelog ===
pgdg-buildenv (33.pgdg100+~20220813.1045.g78a2822) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg110+~20220813.1045.g78a2822

=== debian/changelog ===
pgdg-buildenv (33.pgdg110+~20220813.1045.g78a2822) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg110+~20250216.1556.gd3037f7

=== jenkins/Makefile ===
JOBS = pgapt-jobs.yaml
JJB = jenkins-jobs

all: test lists

# we write to output.tmp first so output.{old,new} are left untouched in case
# JJB aborts
test:
	@echo "*** Testing $(JOBS) ***"
	rm -rf output.tmp
	mkdir output.tmp
	$(JJB) test --config-xml -o output.tmp $(JOBS)
	if test -d output.new; then rm -rf output.old; mv output.new output.old; fi
	mv output.tmp output.new
	test -d output.old && diff -urp output.old output.new || true

update: $(HOME)/.config/jenkins_jobs/jenkins_jobs.ini
	@echo "*** Updating Jenkins from $(JOBS) ***"
	$(JJB) update $(JOBS)

# package lists
lists: packages packages.modules packages.betatests packages.backports packages.backports_runtime
packages: pgapt-jobs.yaml
	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{name} }' | grep -v '^upgrade-' | LC_ALL=C sort > $@
packages.modules: pgapt-jobs.yaml # packages that build PG modules for "beta"
	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{name} and $$p->{project}->{jobs}->[0] =~ /[+-]beta/ }' | LC_ALL=C sort > $@
packages.betatests: pgapt-jobs.yaml # packages that build PG modules for "beta"
	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{name} and $$p->{project}->{jobs}->[0] =~ /git/ and $$p->{project}->{jobs}->[0] !~ /-only/ }' | LC_ALL=C sort > $@
packages.%: pgapt-jobs.yaml
	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{$*} or $$p->{project}->{"<<"}->{$*} }' | LC_ALL=C sort > $@

clean:
	rm -rf output output.old packages.backports*

# schroot config
install: /etc/schroot/chroot.d/sbuild.conf

/etc/schroot/chroot.d/sbuild.conf: ../pgapt.conf schroot-config.sh
	./schroot-config.sh | sudo tee $@

=== debian/changelog ===
pgdg-buildenv (33.pgdg110+~20250216.1556.gd3037f7) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg120+~20220813.1045.g78a2822

=== debian/changelog ===
pgdg-buildenv (33.pgdg120+~20220813.1045.g78a2822) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg120+~20250216.1556.gd3037f7

=== debian/changelog ===
pgdg-buildenv (33.pgdg120+~20250216.1556.gd3037f7) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,8 @@
 #	    esac ;; \
 #	esac
 
+override_dh_auto_build override_dh_auto_test override_dh_auto_install:
+	# nothing to do for pgdg-buildenv
+
 %:
 	dh $@

## pgdg-buildenv 33.pgdg130+~20250216.1556.gd3037f7

=== debian/changelog ===
pgdg-buildenv (33.pgdg130+~20250216.1556.gd3037f7) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg+~20220813.1045.g78a2822

=== jenkins/Makefile ===
--- 
+++ 
@@ -14,18 +14,20 @@
 	mv output.tmp output.new
 	test -d output.old && diff -urp output.old output.new || true
 
-update: $(HOME)/.config/jenkins_jobs/jenkins_jobs.ini
+update:
 	@echo "*** Updating Jenkins from $(JOBS) ***"
 	$(JJB) update $(JOBS)
 
+update-pgdgbuild:
+	@echo "*** Updating Jenkins from $(JOBS) ***"
+	$(JJB) --conf jenkins_jobs.ini update $(JOBS)
+
 # package lists
-lists: packages packages.modules packages.betatests packages.backports packages.backports_runtime
+lists: packages packages.modules packages.backports packages.backports_runtime
 packages: pgapt-jobs.yaml
 	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{name} }' | grep -v '^upgrade-' | LC_ALL=C sort > $@
 packages.modules: pgapt-jobs.yaml # packages that build PG modules for "beta"
 	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{name} and $$p->{project}->{jobs}->[0] =~ /[+-]beta/ }' | LC_ALL=C sort > $@
-packages.betatests: pgapt-jobs.yaml # packages that build PG modules for "beta"
-	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{name} and $$p->{project}->{jobs}->[0] =~ /git/ and $$p->{project}->{jobs}->[0] !~ /-only/ }' | LC_ALL=C sort > $@
 packages.%: pgapt-jobs.yaml
 	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{$*} or $$p->{project}->{"<<"}->{$*} }' | LC_ALL=C sort > $@

=== debian/changelog ===
pgdg-buildenv (33.pgdg+~20220813.1045.g78a2822) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

## pgdg-buildenv 33.pgdg+~20240914.1633.g6a6df75

=== jenkins/Makefile ===
--- 
+++ 
@@ -23,11 +23,13 @@
 	$(JJB) --conf jenkins_jobs.ini update $(JOBS)
 
 # package lists
-lists: packages packages.modules packages.backports packages.backports_runtime
+lists: packages packages.modules packages.betatests packages.backports packages.backports_runtime
 packages: pgapt-jobs.yaml
 	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{name} }' | grep -v '^upgrade-' | LC_ALL=C sort > $@
 packages.modules: pgapt-jobs.yaml # packages that build PG modules for "beta"
 	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{name} and $$p->{project}->{jobs}->[0] =~ /[+-]beta/ }' | LC_ALL=C sort > $@
+packages.betatests: pgapt-jobs.yaml # packages that build PG modules for "beta"
+	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{name} and $$p->{project}->{jobs}->[0] =~ /git/ and $$p->{project}->{jobs}->[0] !~ /-only/ }' | LC_ALL=C sort > $@
 packages.%: pgapt-jobs.yaml
 	perl -wle 'use YAML::Syck; $$y = LoadFile("pgapt-jobs.yaml"); foreach $$p (@$$y) { print $$p->{project}->{name} if $$p->{project}->{$*} or $$p->{project}->{"<<"}->{$*} }' | LC_ALL=C sort > $@

=== debian/changelog ===
pgdg-buildenv (33.pgdg+~20240914.1633.g6a6df75) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Standards-Version: 4.7.0
 Build-Depends: debhelper (>= 13~)
-Vcs-Browser: https://salsa.debian.org/postgresql/apt.postgresql.org
-Vcs-Git: https://salsa.debian.org/postgresql/apt.postgresql.org.git
+Vcs-Browser: https://git.postgresql.org/gitweb/?p=pgapt.git
+Vcs-Git: https://git.postgresql.org/git/pgapt.git
 Homepage: https://apt.postgresql.org/
 
 Package: pgdg-buildenv

=== debian/tests/control ===
Depends: @
Test-Command: /bin/true

## pgdg-buildenv 33.pgdg+~20250216.1556.gd3037f7

=== debian/changelog ===
pgdg-buildenv (33.pgdg+~20250216.1556.gd3037f7) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Aug 2020 14:56:05 +0200
